Payment & Ticketing

Payment

post

Dependency: Order function should be called in prior to this call.

  • Atlas provides the information from the search.do API response itself whether VCC can be accepted as a mode of payment for an order. Please read the "supportCreditTransPayment" field in the search.do and verify.do responses. When this field is equal to "0" (zero), it means that only "deposit" mode of payment can be used and when this field is equal to "1" (one), it means that both the "deposit" as well as the "VCC" mode of payment can be used.

  • For VCC payments, the Test Cards to be used for testing in SANDBOX: Visa: ◦ 4532015112830366 ◦ 4916931584764308 ◦ 4485275742308327 ◦ 4556737586899855 ◦ 4532644189324563 Mastercard: ◦ 5555555555554444 ◦ 5105105105105100 ◦ 5223456789012346 ◦ 5301250070000191 ◦ 5454545454545454 American Express: ◦ 378282246310005 ◦ 371449635398431 ◦ 340000000000009 ◦ 370000000000002 ◦ 375987654321001 Discover: ◦ 6011111111111117 ◦ 6011000990139424 ◦ 6011987612345678 JCB: ◦ 3566002020360505

Endpoint: https://sandbox.atriptech.com/pay.do

Header parameters
AcceptstringRequiredExample: application/json
Content-TypestringRequiredExample: application/json
Accept-EncodingstringRequiredExample: gzip
x-atlas-client-idstringRequiredExample: NAR65434_api_1
x-atlas-client-secretstringRequiredExample: <YOUR_CLIENT_SECRET>
Body
orderNostringRequired

Order number you want to do the payment.

paymentMethodinteger · enumRequired

The payment method you want to use

  • 1: balance
  • 3: vcc passthough
  • 4: BYOA
  • 5: MoR
Possible values:
clientOrderNostring · nullableOptional

Order number at the customer side.

requestSourcestring · nullableOptional

The tag to identify which channel does this traffic come from. For example: SkyScanner,Google,Oganic search,etc…

Responses
chevron-right
200Success
application/json
statusinteger · enumRequired
  • 400: Illegal request param. Description: Check and correct the request parameters according to the error message.
  • 401: Later than the payment deadline. Description: Payment for the booking was initiated later than the payment deadline.
  • 402: Order status does not support payment. Description: The order status maybe “ticketing” or “ticketed” where the payment has already been made. Check if the order status is unpaid
  • 403: Unsupported payment method. Description: The payment method is not supported for this order.
  • 404: The order is already paid. Description: Check if the order has been paid. If “yes”, do not send the payment request
  • 406: Payment operation is in progress. Description: The previous payment request is still in process. Wait for the airline PNR to be received in the PNR details response.
  • 407: Some mandatory element for the passenger has not been submitted.. Description: Check the information and correct the same and resubmit.
  • 408: Passenger can not board alone. Description: Create a new order and add an adult passenger with the child passenger
  • 409: Additional baggage does not match the flight segment. Description: Luggage purchased for each segment of a connecting flight must be the same.
  • 410: The contact information is not in the correct format.. Description: Check the contact information and confirm that it matches the required format.
  • 411: Some error happened with the payment gateway. Description: Some error happened with the payment gateway
  • 412: No available payment methods. Description: No available payment methods for this order
  • 413: Card is not supported. Description: For MoR, the brand of the card sent by customer is not supported by Atlas.
  • 414: Card mismatch. Description: The brand of the card sent during payment is inconsistent with the "cardType" sent when generating the order.
  • 415: order is not confirmed by user. Description: order is not confirmed by user
Possible values:
msgstring · nullableOptional

It serves as an additional description of the response result. Especially when the interface reports an error (status !=0), it is usually a human-readable error message. Note: Do not use this field in any programming scenarios. For example, do not judge whether the interface responds successfully based on this field. Instead, you should only determine it by checking whether the status is equal to0at any time.

orderNostringRequired

Echo the order number

paymentMethodinteger · enumRequired

Payment method

Possible values:
post
/pay.do
200Success

Last updated

Was this helpful?